Subject: bug#76457: 31.0.50; Cannot create bookmark to chained TRAMP connection

From: Michael Albinus <[email-masked]>
Date: Sat, 22 Feb 2025 17:19:13 +0100

Ship Mints <[email-masked]> writes:

Hi,

> The ad-hoc nature of these connections isn't really related to their
> potential abbreviations and that might confuse some people.  Perhaps
> explain that multi-hop routes are not known to Emacs (can they be
> defined in ssh/config?), and the user has to create them on the fly,
> so they are "ad-hoc", so to speak?

Hop abbreviations can happen only in ad-hoc multi-hop file
names. "Traditional" multi-hop files don't use neither ad-hoc
definitions nor abbreviations. See (info "(tramp) Multi-hops")

People tend to forget this.

Best regards, Michael.